﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Ghabs_Gas
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }
        SqlConnection objConnection = new SqlConnection("Data Source=.;Initial Catalog=Gas_New;Integrated Security=True");
        public int MainCustomerID;
        public string MainLable;

        private void btnInsert_Click(object sender, EventArgs e)
        {
            objConnection.Open();
            SqlCommand objCommand = new SqlCommand("Customers_Insert", objConnection);
            objCommand.CommandType = CommandType.StoredProcedure;
            objCommand.Parameters.Add("@Customer_Name", SqlDbType.NVarChar, 50).Value = txtName.Text;
            objCommand.Parameters.Add("@Customer_Family", SqlDbType.NVarChar, 50).Value = txtFamily.Text;

            objCommand.ExecuteNonQuery();
            SqlDataAdapter objAdapter = new SqlDataAdapter("select * from Customers", objConnection);
            DataTable objDataTable = new DataTable();
            objAdapter.Fill(objDataTable);
            grdShow.DataSource = objDataTable;
            objConnection.Close();
        }

        private void frmMain_Load(object sender, EventArgs e)
        {
            objConnection.Open();
            SqlDataAdapter objAdapter = new SqlDataAdapter("select * from Customers", objConnection);
            DataTable objDataTable = new DataTable();
            objAdapter.Fill(objDataTable);
            grdShow.DataSource = objDataTable;

            SqlDataAdapter objAdapter2 = new SqlDataAdapter("select * from Cus_Type", objConnection);
            DataTable objDataTable2 = new DataTable();

            objAdapter2.Fill(objDataTable2);
            cmbCusType.DataSource = objDataTable2;
            cmbCusType.DisplayMember = "Cus_Type_Title";
            cmbCusType.ValueMember = "Cus_Type_ID";
            objConnection.Close();
        }

        private void grdShow_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            txtName.Text = grdShow.CurrentRow.Cells["Customer_Name"].Value.ToString();
            txtFamily.Text = grdShow.CurrentRow.Cells["Customer_Family"].Value.ToString();
            txtNumber.Text = grdShow.CurrentRow.Cells["Customer_ID"].Value.ToString();

            objConnection.Open();
            SqlDataAdapter objAdapter = new SqlDataAdapter("select * from Contors_List where Customer_ID = " + int.Parse(txtNumber.Text) + "", objConnection);
            DataTable objDataTable = new DataTable();
            objAdapter.Fill(objDataTable);
            gvContor.DataSource = objDataTable;
            objConnection.Close();
        }

        private void btnEdit_Click(object sender, EventArgs e)
        {
            objConnection.Open();
            SqlCommand objCommand = new SqlCommand("Customers_Update", objConnection);
            objCommand.CommandType = CommandType.StoredProcedure;
            objCommand.Parameters.Add("@Customer_ID", SqlDbType.Int, 32).Value = Int32.Parse(txtNumber.Text);
            objCommand.Parameters.Add("@Customer_Name", SqlDbType.NVarChar, 50).Value = txtName.Text;
            objCommand.Parameters.Add("@Customer_Family", SqlDbType.NVarChar, 50).Value = txtFamily.Text;
            objCommand.ExecuteNonQuery();
            objConnection.Close();
            frmMain_Load(sender, e);

        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("آیا از حذف این مشتری مطمئن هستید؟ ", "حذف کردن", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.Yes)
            {
                objConnection.Open();
                SqlCommand objCommand = new SqlCommand("Customers_Delete", objConnection);
                objCommand.CommandType = CommandType.StoredProcedure;
                objCommand.Parameters.Add("@Customer_ID", SqlDbType.Int, 32).Value = Int32.Parse(txtNumber.Text);
                objCommand.ExecuteNonQuery();
                objConnection.Close();
                frmMain_Load(sender, e);
            }
        }

        private void button5_Click(object sender, EventArgs e)
        {
            frmCustomerSearch frm2 = new frmCustomerSearch();
            frm2.ShowDialog();
            lblCustomerName.Text += frm2.grvCSearch.CurrentRow.Cells["Customer_Name"].Value.ToString() + " " + frm2.grvCSearch.CurrentRow.Cells["Customer_Family"].Value.ToString();
            lblCustomerNumber.Text += frm2.grvCSearch.CurrentRow.Cells["Customer_ID"].Value.ToString();
            lblTypeAbuse.Text += frm2.dataGridView1.CurrentRow.Cells["Cus_Type_Title"].Value.ToString(); ;
            lblUnit.Text += frm2.grvContorSearch.CurrentRow.Cells["Num_Unit"].Value.ToString();
            lblCapacity.Text += frm2.grvContorSearch.CurrentRow.Cells["Contor_Capacity"].Value.ToString();
            lblContorId.Text = frm2.grvContorSearch.CurrentRow.Cells["Contor_ID"].Value.ToString();

        }

        private void btnContorAdd_Click(object sender, EventArgs e)
        {

            objConnection.Open();
            SqlCommand objCommand = new SqlCommand("Contors_List_Insert", objConnection);
            objCommand.CommandType = CommandType.StoredProcedure;
            objCommand.Parameters.Add("@Customer_ID", SqlDbType.Int, 32).Value = int.Parse(txtNumber.Text);
            objCommand.Parameters.Add("@Cus_Type_ID", SqlDbType.Int, 32).Value = (cmbCusType.SelectedIndex) + 1;
            objCommand.Parameters.Add("@Num_Unit", SqlDbType.Int, 32).Value = int.Parse(txtNumUnit.Text);
            objCommand.Parameters.Add("@postal_Code", SqlDbType.NChar, 10).Value = txtPostalCode.Text;
            objCommand.Parameters.Add("@Contor_Capacity", SqlDbType.Int, 32).Value = int.Parse(txtCapasity.Text);
            objCommand.Parameters.Add("@Cus_Address", SqlDbType.NVarChar, 50).Value = txtAddress.Text;
            objCommand.Parameters.Add("@Cus_Area", SqlDbType.Int, 32).Value = int.Parse(txtArea.Text);

            objCommand.ExecuteNonQuery();
            SqlDataAdapter objAdapter = new SqlDataAdapter("select * from Customers", objConnection);
            DataTable objDataTable = new DataTable();
            objAdapter.Fill(objDataTable);
            SqlDataAdapter objAdapter2 = new SqlDataAdapter("select * from Contors_List", objConnection);
            DataTable objDataTable2 = new DataTable();
            objAdapter2.Fill(objDataTable2);
            grdShow.DataSource = objDataTable;
            gvContor.DataSource = objDataTable2;
            objConnection.Close();
        }

        private void button4_Click(object sender, EventArgs e)
        {

            objConnection.Open();
            SqlCommand objCommand = new SqlCommand("Cus_Type_Insert", objConnection);
            objCommand.CommandType = CommandType.StoredProcedure;
            objCommand.Parameters.Add("@Cus_Type_Title", SqlDbType.NVarChar, 50).Value = txtCusType.Text;
            objCommand.Parameters.Add("@Tax", SqlDbType.Int, 32).Value = int.Parse(txtCtax.Text);
            objCommand.Parameters.Add("@Insurance", SqlDbType.Int, 32).Value = int.Parse(txtInsurance.Text);

            objCommand.ExecuteNonQuery();
            SqlDataAdapter objAdapter = new SqlDataAdapter("select * from Cus_Type", objConnection);
            DataTable objDataTable = new DataTable();
            objAdapter.Fill(objDataTable);
            cmbCusType.DataSource = objDataTable;
            cmbCusType.DisplayMember = "Cus_Type_Title";
            cmbCusType.ValueMember = "Cus_Type_ID";
            gvcContorType.DataSource = objDataTable;
            objConnection.Close();
        }

        private void gvContor_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            txtName.Text = grdShow.CurrentRow.Cells["Customer_Name"].Value.ToString();
            txtFamily.Text = grdShow.CurrentRow.Cells["Customer_Family"].Value.ToString();
            txtNumber.Text = grdShow.CurrentRow.Cells["Customer_ID"].Value.ToString();
        }

        private void btnContorEdit_Click(object sender, EventArgs e)
        {
            objConnection.Open();
            SqlCommand objCommand = new SqlCommand("Customers_Update", objConnection);
            objCommand.CommandType = CommandType.StoredProcedure;
            objCommand.Parameters.Add("@Customer_ID", SqlDbType.Int, 32).Value = Int32.Parse(txtNumber.Text);
            objCommand.Parameters.Add("@Customer_Name", SqlDbType.NVarChar, 50).Value = txtName.Text;
            objCommand.Parameters.Add("@Customer_Family", SqlDbType.NVarChar, 50).Value = txtFamily.Text;
            objCommand.ExecuteNonQuery();
            objConnection.Close();
            frmMain_Load(sender, e);
        }

        private void btnContor_Click(object sender, EventArgs e)
        {
            frmGabs Ghabs = new frmGabs();
            Ghabs.ContorID = int.Parse(lblContorId.Text);
            Ghabs.ShowDialog();
            //txtBeforNumber=Ghabs.grvGhabs.CurrentRow.Cells[""]
        }

        private void btnSabt_Click(object sender, EventArgs e)
        {

        }

        private void groupBox4_Enter(object sender, EventArgs e)
        {

        }


    }
}
